package cn.estsh.i3plus.pojo.aps.enums;

/**
 * 物料分配限制
 * 主要考虑输出订的最晚计算时间不能晚于输入的最晚计算时间
 */
public enum MATERIAL_ASSIGN_LIMIT {
    NONE(0),        // 不进行任何制约
    INVENTORY(1),   // 库存制约
    PURCHASE(2),    // 采购制约
    PRODUCT(4);     // 制造制约

    private int _value;

    MATERIAL_ASSIGN_LIMIT(int value) {
        _value = value;
    }

    public int value() {
        return this._value;
    }
}